org.keycloak.storage.changeset

## Class UserData

- java.lang.Object
- - org.keycloak.storage.changeset.UserData

-     public class UserData
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCredential(UserCredentialValueModel cred)`
    `void` | `addRequiredAction(String action)`
    `void` | `clearChangeFlags()`
    `void` | `deleteRoleMapping(String roleId)`
    `boolean` | `equals(Object o)`
    `MultivaluedHashMap<String,String>` | `getAttributes()`
    `Long` | `getCreatedTimestamp()`
    `List<UserCredentialValueModel>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getFirstName()`
    `Set<String>` | `getGroupIds()`
    `String` | `getId()`
    `String` | `getLastName()`
    `Set<String>` | `getRequiredActions()`
    `Set<String>` | `getRoleMappings()`
    `String` | `getUsername()`
    `void` | `grantRole(String roleId)`
    `int` | `hashCode()`
    `boolean` | `isAttributesChanged()`
    `boolean` | `isChanged()`
    `boolean` | `isCreatedTimestampChanged()`
    `boolean` | `isCredentialsChanged()`
    `boolean` | `isEmailChanged()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEmailVerifiedChanged()`
    `boolean` | `isEnabled()`
    `boolean` | `isEnabledChanged()`
    `boolean` | `isFirstNameChanged()`
    `boolean` | `isGroupsChanged()`
    `boolean` | `isIdChanged()`
    `boolean` | `isLastNameChanged()`
    `boolean` | `isRequiredActionsChanged()`
    `boolean` | `isRolesChanged()`
    `boolean` | `isTotp()`
    `boolean` | `isTotpChanged()`
    `boolean` | `isUsernameChanged()`
    `void` | `joinGroup(String groupId)`
    `void` | `leaveGroup(String groupId)`
    `void` | `rememberState()`
    `void` | `removeAttribute(String name)`
    `void` | `removeCredentialDevice(String type, String device)`
    `void` | `removeCredentialType(String type)`
    `void` | `removeRequiredAction(String action)`
    `void` | `setAttribute(String name, List<String> values)`
    `void` | `setCreatedTimestamp(Long timestamp)`
    `void` | `setCredential(UserCredentialValueModel cred)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(boolean emailVerified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFirstName(String firstName)`
    `void` | `setId(String id)`
    `void` | `setLastName(String lastName)`
    `void` | `setSingleAttribute(String name, String value)`
    `void` | `setTotp(boolean totp)`
    `void` | `setUsername(String username)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserData

          public UserData()

  - ### Method Detail

    - #### rememberState

          public void rememberState()

    - #### clearChangeFlags

          public void clearChangeFlags()

    - #### isChanged

          public boolean isChanged()

    - #### isIdChanged

          public boolean isIdChanged()

    - #### isUsernameChanged

          public boolean isUsernameChanged()

    - #### isCreatedTimestampChanged

          public boolean isCreatedTimestampChanged()

    - #### isFirstNameChanged

          public boolean isFirstNameChanged()

    - #### isLastNameChanged

          public boolean isLastNameChanged()

    - #### isEmailChanged

          public boolean isEmailChanged()

    - #### isEmailVerifiedChanged

          public boolean isEmailVerifiedChanged()

    - #### isTotpChanged

          public boolean isTotpChanged()

    - #### isEnabledChanged

          public boolean isEnabledChanged()

    - #### isRolesChanged

          public boolean isRolesChanged()

    - #### isGroupsChanged

          public boolean isGroupsChanged()

    - #### isAttributesChanged

          public boolean isAttributesChanged()

    - #### isRequiredActionsChanged

          public boolean isRequiredActionsChanged()

    - #### isCredentialsChanged

          public boolean isCredentialsChanged()

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getCreatedTimestamp

          public Long getCreatedTimestamp()

    - #### setCreatedTimestamp

          public void setCreatedTimestamp(Long timestamp)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(boolean emailVerified)

    - #### isTotp

          public boolean isTotp()

    - #### setTotp

          public void setTotp(boolean totp)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getRoleMappings

          public Set<String> getRoleMappings()

    - #### grantRole

          public void grantRole(String roleId)

    - #### deleteRoleMapping

          public void deleteRoleMapping(String roleId)

    - #### getAttributes

          public MultivaluedHashMap<String,String> getAttributes()

    - #### setSingleAttribute

          public void setSingleAttribute(String name,
                                         String value)

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> values)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### getRequiredActions

          public Set<String> getRequiredActions()

    - #### addRequiredAction

          public void addRequiredAction(String action)

    - #### removeRequiredAction

          public void removeRequiredAction(String action)

    - #### getCredentials

          public List<UserCredentialValueModel> getCredentials()

    - #### removeCredentialType

          public void removeCredentialType(String type)

    - #### removeCredentialDevice

          public void removeCredentialDevice(String type,
                                             String device)

    - #### setCredential

          public void setCredential(UserCredentialValueModel cred)

    - #### addCredential

          public void addCredential(UserCredentialValueModel cred)

    - #### getGroupIds

          public Set<String> getGroupIds()

    - #### joinGroup

          public void joinGroup(String groupId)

    - #### leaveGroup

          public void leaveGroup(String groupId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.